Foreman - Bug #16439

Don't fail rebuild if DNS record is already ok
09/06/2016 01:54 AM - Guido Ginther

Status: Closed
Priority: Normal
Assignee: Guido Gunther
Category: Orchestration
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3812
Description

The attached PR changes the logic when rebuilding DNS records so that we don't fail if there's no update necessary or the record is
nil. Currently we just report an error without any further explanation although everything is 0.k. because the "unless" makes us return

nil instead of true.

Associated revisions

Revision 088c8f3d - 09/07/2016 07:58 AM - Guido Giinther
Fixes #16439 - Don't fail recreate if DNS is ok

If rebuilding a host and DNS is not "feasible" we don't want to fail
that host but rather recreate what's currently feasible.

If a DNS record is still valid we don't want to fail that host but
rather take the still valid entry.

Revision 9981f0a3 - 09/12/2016 11:39 AM - Guido Giinther
Fixes #16439 - Don't fail recreate if DNS is ok

If rebuilding a host and DNS is not "feasible" we don't want to fail
that host but rather recreate what's currently feasible.

If a DNS record is still valid we don't want to fail that host but
rather take the still valid entry.

(cherry picked from commit 088c8f3d6fdbe9da1041a3812dae103f5c5alcee)

History

#1 - 09/06/2016 01:57 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Guido Ginther

- Pull request https://github.com/theforeman/foreman/pull/3812 added

#2 - 09/07/2016 08:02 AM - Guido Glinther
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 088c8f3d6fdbe9da1041a3812dae103f5c5alcee.

#3 - 09/07/2016 08:39 AM - Dominic Cleal

- translation missing: en.field_release set to 181

#4 - 09/19/2016 08:06 AM - Dominic Cleal
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/088c8f3d6fdbe9da1041a3812dae103f5c5a0cee

- translation missing: en.field_release changed from 181 to 160

Not applicable to 1.12-stable.
